Bug 1122495 - Rebase python-ldap
Summary: Rebase python-ldap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-ldap
Version: 7.1
Hardware: Unspecified
OS: Linux
medium
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Eduard Benes
URL:
Whiteboard:
Depends On: 1122486
Blocks: 1115294 1249775
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:37 UTC by Martin Bašti
Modified: 2015-08-03 19:06 UTC (History)
9 users (show)

Fixed In Version: python-ldap-2.4.15-2.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of: 1122486
Environment:
Last Closed: 2015-03-05 13:13:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0531 normal SHIPPED_LIVE python-ldap bug fix and enhancement update 2015-03-05 16:19:47 UTC

Description Martin Bašti 2014-07-23 11:37:19 UTC
+++ This bug was initially created as a clone of Bug #1122486 +++

Please rebase python-ldap to version 2.4.15, we need bugfixes.

Comment 2 Petr Spacek 2014-07-25 11:40:40 UTC
Please note that DNSSEC feature in FreeIPA also needs new functionality proposed in https://github.com/spacekpe/python-ldap/commit/8b4f935a97759c692637fb9a81e7d353ace27f53 . The rebase should include equivalent commit from upstream repo (if it gets merged).

Comment 4 Matthew Barnes 2014-09-09 14:12:07 UTC
Rebased to 2.4.15 and added the patch in comment #2.

In addition to SanityOnly QA, Petr should verify the patch works correctly.

Comment 5 Petr Spacek 2014-09-09 14:26:53 UTC
Hello Matthew,

thank you for the rebase.

I have to inform you that patch from comment #2 was not accepted upstream (actually upstream didn't communicate with me despite my repeated attempts to reach them).

Is it okay to provide the non-upstream API in this RHEL package? Of course, the other option is to guerilla-patch the library from my application which is also not nice.

BTW do you maintain the package in Fedora too? It could use rebase as well...

Comment 6 Matthew Barnes 2014-09-09 15:08:29 UTC
The Fedora package is maintained by Jeroen van Meeuwen.  I'm stuck with it in RHEL only for historical reasons.

My own preference is not to deviate from upstream - especially in matters of API additions - because we'll be stuck with it for the life of RHEL 7 and there's a risk in future rebases of upstream adding an identically-named but incompatible API.

I suggest the guerilla-patching option.  If you can make that work I'll back out the patch.

Comment 7 Petr Spacek 2014-09-09 15:43:08 UTC
I will investigate it and let you know as soon as possible. Thank you for your time!

Comment 8 Petr Spacek 2014-09-11 20:39:30 UTC
Upstream may review the patch in next two weeks. Would it be okay to postpone this discussion till then?

Comment 9 Petr Spacek 2014-09-26 08:41:00 UTC
Upstream accepted the API: https://mail.python.org/pipermail/python-ldap/2014q3/003424.html

Discussion about internal implementation details is ongoing but it should not change the API in any way so IMHO the patch can stay here as-is for now.

Comment 10 Petr Spacek 2014-09-26 12:46:05 UTC
Upstream accepted latest patch: https://mail.python.org/pipermail/python-ldap/2014q3/003430.html

Feel free to use it downstrem instead the original patch if you want.

It is necessary to squash the new patch with the previous one (https://mail.python.org/pipermail/python-ldap/2014q3/003384.html) otherwise you will not be able to apply it on top of latest released version.

Comment 11 Matthew Barnes 2014-09-26 15:10:24 UTC
Okay thanks Petr.  I merged the two patches in the SRPM, although you might want to double check I did it right.

Rebuilt as python-ldap-2.4.15-2.el7

Comment 12 Petr Spacek 2014-09-29 13:39:24 UTC
I confirm that your final patch python-ldap-2.4.15-syncrepl-refreshdone.patch makes the same changes in Lib/ldap/syncrepl.py as two upstream commits mentioned in comment #10.

Thank you very much!

Comment 19 errata-xmlrpc 2015-03-05 13:13:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0531.html


Note You need to log in before you can comment on or make changes to this bug.